<html>
  <head>
    <style>
      table {
        font-family: Arial, Helvetica, sans-serif;
        border-collapse: collapse;
        width: 100%;
      }

      th,
      td {
        border: 1px solid #dddddd;
        text-align: left;
        padding: 12px;
      }

      th {
        background-color: #f2f2f2;
      }
    </style>
  </head>

  <body>
    <h3 style="text-align: center">GENZ FASHION SHOP</h3>
    <table>
      <tr>
        <th colspan="2">Thông tin khách hàng</th>
      </tr>
      <tr>
        <td>Họ và tên:</td>
        <td><%= fullname %></td>
      </tr>
      <tr>
        <td>Số điện thoại:</td>
        <td><%= phone %></td>
      </tr>
      <tr>
        <td>Địa chỉ:</td>
        <td><%= address %></td>
      </tr>
      <tr>
        <td>Phương thức thanh toán:</td>
        <td><%= paymentMethod %></td>
      </tr>
    </table>

    <h3>Sản phẩm đã đặt</h3>
    <table>
      <tr>
        <th>Tên</th>
        <th>Số lượng</th>
        <th>Đơn giá</th>
        <th>Thành tiền</th>
      </tr>
      <% if (productDetails.length > 0) { %> <%
      productDetails.forEach(function(product) { %>
      <tr>
        <td><%= product.name %></td>
        <td><%= product.quantity %></td>
        <td><%= product.price %></td>
        <td><%= product.total %></td>
      </tr>
      <% }); %> <% } %>
    </table>
    <h3>Tổng tiền: <%= totalAmount %></h3>
    <h3>Cảm ơn bạn đã ủng hộ GENZ FASHION STORE.</h3>
    <h3>Chúng tôi rất hân hạnh được phục vụ bạn!</h3>
  </body>
</html>
